シェルスクリプトのエラー処理を見やすくする

nbeppu 1,530views 更新:2015年2月27日

シェルスクリプトでエラーハンドリングをする場合、以下のようにエラーコードを if 文でチェックするのが一般的かと思います。

command ...
if [ $? -ne 0 ]
then
        echo "Error!"
        exit 1
fi

これは下記のように簡略化して書き換えることができます。

command ... || { echo "Error!" ; exit 1 ; }

ログイン / 新規登録してコメントする

このソースコードをストックして後で利用したり、作業に利用したソースコードをまとめることができます。

こちらもお役に立つかもしれません